
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ServiceAssocListItemType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ServiceAssocListItemType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Airport"/&amp;gt;
 *     &amp;lt;enumeration value="Disclosure"/&amp;gt;
 *     &amp;lt;enumeration value="MediaGroup"/&amp;gt;
 *     &amp;lt;enumeration value="MediaItem"/&amp;gt;
 *     &amp;lt;enumeration value="Offer"/&amp;gt;
 *     &amp;lt;enumeration value="OfferItem"/&amp;gt;
 *     &amp;lt;enumeration value="Penalty"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ServiceAssocListItemType")
@XmlEnum
public enum ServiceAssocListItemType {

    @XmlEnumValue("Airport")
    AIRPORT("Airport"),
    @XmlEnumValue("Disclosure")
    DISCLOSURE("Disclosure"),
    @XmlEnumValue("MediaGroup")
    MEDIA_GROUP("MediaGroup"),
    @XmlEnumValue("MediaItem")
    MEDIA_ITEM("MediaItem"),
    @XmlEnumValue("Offer")
    OFFER("Offer"),
    @XmlEnumValue("OfferItem")
    OFFER_ITEM("OfferItem"),
    @XmlEnumValue("Penalty")
    PENALTY("Penalty");
    private final String value;

    ServiceAssocListItemType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ServiceAssocListItemType fromValue(String v) {
        for (ServiceAssocListItemType c: ServiceAssocListItemType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
